org.apache.ignite.internal.managers.communication

## Interface GridDisconnectListener

    public interface GridDisconnectListener

Node disconnect listener interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onNodeDisconnected(UUID nodeId)` Callback invoked when connection between nodes is closed.

### Method Detail

#### onNodeDisconnected

    void onNodeDisconnected(UUID nodeId)

Callback invoked when connection between nodes is closed. This callback invocation does not necessarily mean that node failed or some messages got lost. However, there is such possibility, so listeners can set up timeout objects to check for lost responses.

Parameters:
  `nodeId` - Node ID for which connection was closed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020